#ifndef SCM_LIBGUILE_H
#define SCM_LIBGUILE_H

/* Copyright (C) 1995,1996,1997,1998,2000,2001, 2002, 2003, 2004, 2006, 2008 Free Software Foundation, Inc.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */


/* This needs to be included outside of the extern "C" block.
 */
#include <gmp.h>

#ifdef __cplusplus
extern "C" {
#endif

#include "libguile18/__scm.h"
#include "libguile18/alist.h"
#include "libguile18/arbiters.h"
#include "libguile18/async.h"
#include "libguile18/boolean.h"
#include "libguile18/chars.h"
#include "libguile18/continuations.h"
#include "libguile18/dynl.h"
#include "libguile18/dynwind.h"
#include "libguile18/eq.h"
#include "libguile18/error.h"
#include "libguile18/eval.h"
#include "libguile18/evalext.h"
#include "libguile18/extensions.h"
#include "libguile18/feature.h"
#include "libguile18/filesys.h"
#include "libguile18/fluids.h"
#include "libguile18/fports.h"
#include "libguile18/futures.h"
#include "libguile18/gc.h"
#include "libguile18/gdbint.h"
#include "libguile18/goops.h"
#include "libguile18/gsubr.h"
#include "libguile18/guardians.h"
#include "libguile18/hash.h"
#include "libguile18/hashtab.h"
#include "libguile18/init.h"
#include "libguile18/ioext.h"
#include "libguile18/rdelim.h"
#include "libguile18/rw.h"
#include "libguile18/keywords.h"
#include "libguile18/list.h"
#include "libguile18/load.h"
#include "libguile18/macros.h"
#include "libguile18/mallocs.h"
#include "libguile18/modules.h"
#include "libguile18/net_db.h"
#include "libguile18/numbers.h"
#include "libguile18/objects.h"
#include "libguile18/objprop.h"
#include "libguile18/options.h"
#include "libguile18/pairs.h"
#include "libguile18/ports.h"
#include "libguile18/posix.h"
#include "libguile18/print.h"
#include "libguile18/procprop.h"
#include "libguile18/properties.h"
#include "libguile18/procs.h"
#include "libguile18/ramap.h"
#include "libguile18/random.h"
#include "libguile18/read.h"
#include "libguile18/root.h"
#include "libguile18/scmsigs.h"
#include "libguile18/script.h"
#include "libguile18/simpos.h"
#include "libguile18/smob.h"
#include "libguile18/snarf.h"
#include "libguile18/socket.h"
#include "libguile18/sort.h"
#include "libguile18/srcprop.h"
#include "libguile18/stackchk.h"
#include "libguile18/stime.h"
#include "libguile18/strings.h"
#include "libguile18/srfi-13.h"
#include "libguile18/srfi-14.h"
#include "libguile18/strorder.h"
#include "libguile18/strports.h"
#include "libguile18/struct.h"
#include "libguile18/symbols.h"
#include "libguile18/tags.h"
#include "libguile18/throw.h"
#include "libguile18/unif.h"
#include "libguile18/validate.h"
#include "libguile18/values.h"
#include "libguile18/variable.h"
#include "libguile18/vectors.h"
#include "libguile18/srfi-4.h"
#include "libguile18/version.h"
#include "libguile18/vports.h"
#include "libguile18/weaks.h"
#include "libguile18/backtrace.h"
#include "libguile18/debug.h"
#include "libguile18/stacks.h"
#include "libguile18/threads.h"
#include "libguile18/inline.h"

#include "libguile18/discouraged.h"
#include "libguile18/deprecated.h"

#ifdef __cplusplus
}
#endif



#endif  /* SCM_LIBGUILE_H */

/*
  Local Variables:
  c-file-style: "gnu"
  End:
*/
